// Apply changes when the mask is worn

if (args.equipped) {
  this.actor.createEmbeddedDocuments("ActiveEffect", [this.item.effects.contents[1]?.convertToApplied()])
  this.script.message(`${this.actor.name} porte le <strong>${this.item.name}</strong>. <br>
        Ils subissent –20 à toutes les tentatives de résistance aux maladies.<br>
        S'ils portent le masque pendant plus d'une heure ou bénéficient de l'un de ses effets, ils sont exposés à @Corruption[moderate]{Corruption modérée}.
        `,
      {whisper: ChatMessage.getWhisperRecipients("GM")})
}

// Notify of lingering effects when mask is Retiré
else if (!args.equipped)
{
    await this.item.effects.contents[0].delete();
    await this.item.update({name : this.item.name += " (Usagé)"})
    this.script.message(`<strong>${this.item.name}</strong> sur ${this.actor.name} a été retiré et perd ses propriétés. Cependant, les effets durent [[1d10+4]] jours, après quoi ils doivent être manuellement retirés.`,
    {whisper: ChatMessage.getWhisperRecipients("GM")}
    )

}
